[
  # Each entry in this list represents a hotfix which might be applied when validation pipelines are run.
  # The schema for the entries is [start SHA (inclusive), end SHA (exclusive), [command line to run, human-readable description]]
  # A hotfix command is run if the branch under test contains the start SHA but not the end SHA.
  # Only SHAs in the driving master branch should be referenced here, as the SHA that contains a given patch may change if it gets squashed to master.
  # A SHA of all 0s means the limit on the range is disabled.

  # Add the sha2d field to sim/simple_sim/proto/world.proto to match mapping/imagery/proto/imagery.proto
  ['0d8fa0d4e9bf9dd3e3f0c78047e09949070db150', 'e4024bba0ab8c09ce99b2e61d4a77b5733c7e455', ['git fetch --quiet origin d0ad6956f7d3638e8dfb8ea3c434617302d3546f && git cherry-pick --no-commit d0ad6956f7d3638e8dfb8ea3c434617302d3546f', 'Add the sha2d field to imagery proto (d0ad6956f7d3638e8dfb8ea3c434617302d3546f)']],
  # Default to using contemporary version of pipedream driving image
  ['2445682a083ccced8282c91b527e1e1f945322a1', '6192164118ed7d943db1fa9db86ba54e0c18f005', ['git fetch --quiet origin 9383e05b64e7788a65fe343686210480e3a0c075 && git cherry-pick --no-commit 9383e05b64e7788a65fe343686210480e3a0c075', 'Default to contemporary pipedream driving image (9383e05b64e7788a65fe343686210480e3a0c075)']],
  # Switch to ElasticSearch v6
  ['2445682a083ccced8282c91b527e1e1f945322a1', '924a60234a0e3556d28061cb35b707161ddbc420', ['git fetch --quiet origin 15fd907bbf7b1d9b52fa24109e4d9b959eede88d && git cherry-pick --no-commit 15fd907bbf7b1d9b52fa24109e4d9b959eede88d', 'Switch to ElasticSearch v6 (15fd907bbf7b1d9b52fa24109e4d9b959eede88d)']],
  ['924a60234a0e3556d28061cb35b707161ddbc420', 'a855bc7cfc111a407e655765bb0bd24301d484b3', ['git fetch --quiet origin 3eef1679ca835a963a4ce131f9b1ef23c7b76e6b && git cherry-pick --no-commit 3eef1679ca835a963a4ce131f9b1ef23c7b76e6b', 'Switch to ElasticSearch v6 (3eef1679ca835a963a4ce131f9b1ef23c7b76e6b)']],
  ['a855bc7cfc111a407e655765bb0bd24301d484b3', '15852f8dff8820039ccefcf7ea00fc930209da68', ['git fetch --quiet origin dff7feeaad3077b7d4eb0e88fb3d427d852fe8fb && git cherry-pick --no-commit dff7feeaad3077b7d4eb0e88fb3d427d852fe8fb', 'Switch to ElasticSearch v6 (dff7feeaad3077b7d4eb0e88fb3d427d852fe8fb)']],
  ['15852f8dff8820039ccefcf7ea00fc930209da68', 'b964143946c6e9592da31e56453160b3fe6fe5a7', ['git fetch --quiet origin 989e2650a49af03e932b1f85264aae6407fec564 && git cherry-pick --no-commit 989e2650a49af03e932b1f85264aae6407fec564', 'Switch to ElasticSearch v6 (989e2650a49af03e932b1f85264aae6407fec564)']],
  # Fix setup script failures (see #47343) which seem to have been introduced by Ansible 2.8 (#40311)
  ['485d7acc9efca7a428f31536c17edac40969c46e', '37e6ef258c2b9cd995dd43c1f0d0ccc5169fbf26', ['git fetch --quiet origin 37e6ef258c2b9cd995dd43c1f0d0ccc5169fbf26 && git cherry-pick --no-commit 37e6ef258c2b9cd995dd43c1f0d0ccc5169fbf26', 'Fix setup script failures after Ansible 2.8']],
  # Support ReleaseZRNs in log_tests/scripts/write_zrn_to_message.cpp
  ['fd7622e5454486f2898e88d73db33928864b3a0a', '410bbf4052b4276c7074787a154ad0f3f9f62bd1', ['git fetch --quiet origin 01861914736e170b51a3b8025805c74a8464108e && git cherry-pick --no-commit 01861914736e170b51a3b8025805c74a8464108e', 'Log Tests support for Release ZRNs (01861914736e170b51a3b8025805c74a8464108e)']],
  # Fix crash in offline vision from missing vision vehicle config
  ['bf50d46b59cef4f46f5322225148184403342d86', 'd8fee7d9dab5aa1ad5fddcb1014a6be1511b1047', ['git fetch --quiet origin b2de837e5eedd8a33dea6cdc296c1b37198f8ce8 && git cherry-pick --no-commit b2de837e5eedd8a33dea6cdc296c1b37198f8ce8', 'Fix crash in offline vision from missing vision vehicle config (b2de837e5eedd8a33dea6cdc296c1b37198f8ce8)']],
  # Fix unset variable in create_sdl_pipedream video regen
  ['342c0feb12f21249ca2130e95b4466195fb7d9c5', 'a19baa3027e8802732cc9933178732944299f6b3', ['git fetch --quiet origin 04873628e5af392ab6e6c38da32ade018b362d8f && git cherry-pick --no-commit 04873628e5af392ab6e6c38da32ade018b362d8f', 'Fix unset variable in create_sdl_pipedream video regen (04873628e5af392ab6e6c38da32ade018b362d8f)']],
  # Fix Docker installation in Ansible (#58908 and #60064)
  ['01a904bb04670f455c304a42373a8e2fd93dcdf7', '377efcd7960f0ecaad2fc04f80b75d937010ffe8', ['git fetch --quiet origin aff6b3703ac9b846d8502826ba09e4ce02ca0201 && git cherry-pick --no-commit aff6b3703ac9b846d8502826ba09e4ce02ca0201 && git fetch --quiet origin 377efcd7960f0ecaad2fc04f80b75d937010ffe8 && git cherry-pick --no-commit 377efcd7960f0ecaad2fc04f80b75d937010ffe8', 'Fix Docker installation in Ansible (8916ede54cb15962bcf4b83a692373ebe15a60d6)']],
  # Fix dispatch-command-from-Chum script after #57791
  ['63b9906b31f7ece043e9a7907408e5820edf977b', 'ab38b9896f5d2b5336b040433655fc215dca5836', ['git fetch --quiet origin ab38b9896f5d2b5336b040433655fc215dca5836 && git cherry-pick --no-commit ab38b9896f5d2b5336b040433655fc215dca5836', 'Fix dispatch-command-from-Chum script after #57791 (ab38b9896f5d2b5336b040433655fc215dca5836)']],
  # Add /hero_smooth_state and planner config topics to base_variant whitelist (#72076)
  ['47350a376b6eceb4affab545454b42663e0ddc94', '7bd3af73f332b1b774cfb3ffe42d3fa043f54131', ['git fetch --quiet origin 7bd3af73f332b1b774cfb3ffe42d3fa043f54131 && git cherry-pick --no-commit 7bd3af73f332b1b774cfb3ffe42d3fa043f54131', 'Add /hero_smooth_state and planner config topics to base_variant whitelist (7bd3af73f332b1b774cfb3ffe42d3fa043f54131)']],
  # Remove extra scenario_filter_cmd argument from one_click_suite.py
  ['df2d7292aa3f2c6bd8e85c53ad686891831af942', '746963d8f412e04e09076998877a1248526e37f7', ['git fetch --quiet origin 754cc40754da68226c72455403f69e73f5c30cbf && git cherry-pick --no-commit 754cc40754da68226c72455403f69e73f5c30cbf', 'Remove extra scenario_filter_cmd argument from one_click_suite.py (754cc40754da68226c72455403f69e73f5c30cbf)']],
  # 2020-07-29 rotation of the AWS credentials in //infra/data_catalog
  ['accf236a1d7f5a2a69c1ae1e4ac5b4a03181d0f8', '36cc095f5ef17fc0f89c89da63828bb2e7087677', ['git fetch --quiet origin 36a07445275a1499099569612778f101f62bdb4f && git cherry-pick --no-commit 36a07445275a1499099569612778f101f62bdb4f', '2020-07-29 rotation of the AWS credentials in //infra/data_catalog (36a07445275a1499099569612778f101f62bdb4f)']],
  # Fix handling of smooth transform in vehicle sim (#78382)
  ['26b2e71ca2efb91d8fdfad6f1df9cbf5d03bbfb4', '707dd2ed39b33a0e79816d8769ffd2149e135f0d', ['git fetch --quiet origin 707dd2ed39b33a0e79816d8769ffd2149e135f0d && git cherry-pick --no-commit 707dd2ed39b33a0e79816d8769ffd2149e135f0d', 'Fix handling of smooth transform in vehicle sim (707dd2ed39b33a0e79816d8769ffd2149e135f0d)']],
  # Remove ZOOX_WORKSPACE_ROOT environment variable in sim pipelines (#80935)
  ['b21a3ea3701da151eb9ea2068ed06c05cebe11e0', '9660e5ab2f75f7130c3145378d5b9cd06448385e', ['git fetch --quiet origin 9660e5ab2f75f7130c3145378d5b9cd06448385e && git cherry-pick --no-commit 9660e5ab2f75f7130c3145378d5b9cd06448385e', 'Remove ZOOX_WORKSPACE_ROOT environment variable in sim pipelines (9660e5ab2f75f7130c3145378d5b9cd06448385e)']],
  # Remove subprocess32 from trigger_transient_log_tests_wrapper.py after Python 3 upgrade (#91059)
  ['2468b077015df9ace6da6d01462a197aecfef704', '259793121043b7fda33523db93d7d0e4e8b2365f', ['git fetch --quiet origin 259793121043b7fda33523db93d7d0e4e8b2365f && git cherry-pick --no-commit 259793121043b7fda33523db93d7d0e4e8b2365f', 'Remove usage of subprocess32 library in trigger_transient_log_tests_wrapper.py (259793121043b7fda33523db93d7d0e4e8b2365f)']],
]
